local config = {}
local path = "Interface\\Addons\\TidyPlateMinimal\\"

-- Fade out units at full HP
function config.SetAlpha(unit)
	return 1 - unit.health / unit.healthmax
end

config.healthborder = {
	texture		= path .. "background",
	glowtexture	= path .. "Empty",
	elitetexture	= path .. "Empty",
	width = 64,
	height = 16,
	x = 0,
	y = 0,
	anchor = "CENTER",
}

config.threatborder = {
	texture		= path .. "Empty",
	elitetexture	= path .. "Empty",
	width = 64,
	height = 16,
	x = 0,
	y = 0,
	anchor = "CENTER",
}

config.castborder = {
	texture = path .. "Empty",
	width = 64,
	height = 8,
	x = 0,
	y = 0,
	anchor = "CENTER",
}

config.name = {
	typeface = "Fonts\\FRIZQT__.TTF",
	size = 8,
	width = 64,
	height = 8,
	x = 0,
	y = 1,
	align = "CENTER",
	anchor = "TOP",
	vertical = "BOTTOM",
	shadow = true,
}

config.level = {
	typeface = "Fonts\\FRIZQT__.TTF",
	size = 8,
	width = 16,
	height = 8,
	x = 12,
	y = 1,
	align = "RIGHT",
	anchor = "TOPRIGHT",
	vertical = "BOTTOM",
	shadow = false,
}

config.healthbar = {
	texture = path .. "TidyPlate_BarTex",
	height = 8,
	width = 64,
	x = 0,
	y = 0,
	anchor = "TOP",
	orientation = "HORIZONTAL",
}

config.castbar = {
	texture = path .. "TidyPlate_BarTex",
	height = 8,
	width = 64,
	x = 0,
	y = 0,
	anchor = "BOTTOM",
	orientation = "HORIZONTAL",
}

config.specialText = {
	typeface = "Fonts\\FRIZQT__.TTF",
	size = 8,
	width = 64,
	height = 8,
	x = 0,
	y = 1,
	align = "CENTER",
	anchor = "TOP",
	vertical = "BOTTOM",
	shadow = true,
}

config.spellicon = {
	width = 16,
	height = 16,
	x = -16,
	y = 0,
	anchor = "LEFT",
}

config.raidicon = {
	width = 14,
	height = 14,
	x = 0,
	y = 12,
	anchor = "TOP",
}

config.dangerskull = {
	width = 14,
	height = 14,
	x = 14,
	y = 12,
	anchor = "TOP",
}

config.frame = {
	emptyTexture = path .. "Empty",
	width = 64,
	height = 16,
	x = 0,
	y = 0,
	anchor = "CENTER",
}

config.threatcolor = {
	LOW = { r = .75, g = 1, b = 0, a= 1, },
	MEDIUM = { r = 1, g = 1, b = 0, a = 1, },
	HIGH = { r = 1, g = 0, b = 0, a = 1, },
}

config.options = {
	showLevel = false,
	showName = false,
	showSpecialText = false,
	showDangerSkull = false,
	showspellIcon = true,
}

-- For new version
if not TidyPlatesThemeList then TidyPlatesThemeList = {} end
TidyPlatesThemeList["Minimal"] = config
